(function () {

/* Imports */
var Meteor = Package.meteor.Meteor;
var _ = Package.underscore._;
var Random = Package.random.Random;
var Accounts = Package['accounts-base'].Accounts;
var AccountsServer = Package['accounts-base'].AccountsServer;
var Google = Package.google.Google;
var Github = Package.github.Github;

(function(){

///////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                       //
// packages/sandstorm-accounts-packages/accounts.js                                                      //
//                                                                                                       //
///////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                         //
if (Meteor.isClient) {                                                                                   // 1
  Meteor.loginWithGoogle = function (options, callback) {                                                // 2
    // support a callback without options                                                                // 3
    if (!callback && typeof options === "function") {                                                    // 4
      callback = options;                                                                                // 5
      options = null;                                                                                    // 6
    }                                                                                                    // 7
                                                                                                         // 8
    const credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Google.requestCredential(options, credentialRequestCompleteCallback);                                // 10
  };                                                                                                     // 11
                                                                                                         // 12
  Meteor.loginWithGithub = function (options, callback) {                                                // 13
    // support a callback without options                                                                // 14
    if (!callback && typeof options === "function") {                                                    // 15
      callback = options;                                                                                // 16
      options = null;                                                                                    // 17
    }                                                                                                    // 18
                                                                                                         // 19
    const credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Github.requestCredential(options, credentialRequestCompleteCallback);                                // 21
  };                                                                                                     // 22
}                                                                                                        // 23
                                                                                                         // 24
Accounts.identityServices = {};                                                                          // 25
// A dictionary of identity services. At the moment, this is mainly used for rendering login UI          // 26
// components. Each key in the dictionary is the name of the service, e.g. "github", exactly as it       // 27
// would appear in the `Users.profile.service` field in the Sandstorm database. Each value in the        // 28
// dictionary is an object with the following fields:                                                    // 29
//                                                                                                       // 30
//   isEnabled: A function of no arguments. Returns a boolean indicating whether this service is         // 31
//              currently configured to be active.                                                       // 32
//   loginTemplate: An object indicating how to render this service's login UI. Contains the             // 33
//                  following fields:                                                                    // 34
//       name: The name of the template to render.                                                       // 35
//       priority: Number representing this template's sort order when it appears within a list          // 36
//                 with other login templates. Lower priority means higher in the list.                  // 37
//       data: An object to pass along to the template when it is rendered. The value of this            // 38
//             field will be placed in the `data` field. In addition, there will be a                    // 39
//             boolean `linkingNewIdentity` field, which is true if the component is currently being     // 40
//             used to link an new identity, rather than just to log in.                                 // 41
//                                                                                                       // 42
// TODO(someday): It probably makes sense also to collect in these objects the service-specific          // 43
// user initialization logic currently found in sandstorm-db/user.js and sandstorm-db/profile.js.        // 44
                                                                                                         // 45
///////////////////////////////////////////////////////////////////////////////////////////////////////////

}).call(this);


/* Exports */
if (typeof Package === 'undefined') Package = {};
Package['sandstorm-accounts-packages'] = {};

})();

//# sourceMappingURL=sandstorm-accounts-packages.js.map
